Bug 15909

Summary: Remove the use of makepartialpayment
Product: Koha Reporter: Kyle M Hall <kyle>
Component: Architecture, internals, and plumbingAssignee: Kyle M Hall <kyle>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: katrin.fischer, nicolas.legrand, srdjan
Version: unspecified   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on: 15898    
Bug Blocks: 15908    
Attachments: Bug 15909 - Remove the use of makepartialpayment
Bug 15909 - Remove the use of makepartialpayment
Bug 15909 - Remove the use of makepartialpayment
Bug 15909 - Remove the use of makepartialpayment
Bug 15909 - Remove the use of makepartialpayment
Bug 15909 - Remove the use of makepartialpayment
Bug 15909 - Remove the use of makepartialpayment

Description Kyle M Hall 2016-02-24 16:26:09 UTC

    
Comment 1 Kyle M Hall 2016-02-24 16:35:00 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-03-16 05:21:07 UTC
Kyle, can you please rebase, it does not apply.
Comment 3 Srdjan Jankovic 2016-03-16 05:22:43 UTC
Ah, sorry, depends on the previous one.
Comment 4 Kyle M Hall 2016-06-07 14:45:46 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2016-06-07 15:13:00 UTC
Created attachment 52153 [details] [review]
Bug 15909 - Remove the use of makepartialpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount
Comment 6 Nicolas Legrand 2016-10-12 15:14:08 UTC
nicolas@plac:~/kohaclone$ git bz apply 15909
Bug 15909 - Remove the use of makepartialpayment

52153 - Bug 15909 - Remove the use of makepartialpayment

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 15909 - Remove the use of makepartialpayment
fatal: sha1 information is lacking or useless (C4/Accounts.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 15909 - Remove the use of makepartialpayment
The copy of the patch that failed is found in:
   /home/nicolas/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-15909---Remove-the-use-of-makepartialpayment-3HVrwB.patch
Comment 7 Nicolas Legrand 2016-10-12 15:15:33 UTC
ha didn't see dependencies, sorry :)
Comment 8 Kyle M Hall 2017-01-10 13:48:43 UTC
Created attachment 58751 [details] [review]
Bug 15909 - Remove the use of makepartialpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount
Comment 9 Kyle M Hall 2017-01-10 14:08:50 UTC
Created attachment 58753 [details] [review]
Bug 15909 - Remove the use of makepartialpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount
Comment 10 Kyle M Hall 2017-01-10 14:18:05 UTC
Created attachment 58756 [details] [review]
Bug 15909 - Remove the use of makepartialpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount

Signed-off-by: Laura Slavin <lslavin@hmcpl.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Jonathan Druart 2017-01-10 16:33:30 UTC
Created attachment 58766 [details] [review]
Bug 15909 - Remove the use of makepartialpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) Test fine payment via the "Pay" button,
   but make the payment for less then the full amount

Signed-off-by: Laura Slavin <lslavin@hmcpl.org>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Kyle M Hall 2017-01-11 14:40:47 UTC
Pushed to master for 17.05!
Comment 13 Katrin Fischer 2017-01-15 16:05:28 UTC
This won't get ported back to 16.11.x as it is an enhancement.